Actions
Retrieves actions for the authenticated owner
Actions retrieved successfully
The key of the action
action-1The intent associated with the action
Summarize latest sales reportJSON Schema draft 7 schema for action output format
JSON Schema draft 7 schema for action input format
Whether default input/output mapping is used
trueAction last update timestamp
2026-04-09T10:15:30.000ZAction creation timestamp
2026-04-01T08:00:00.000ZUnauthorized - invalid API key
GET /v1/actions HTTP/1.1
Host: api.toolregistry.ai
x-api-key: YOUR_API_KEY
Accept: */*
[
{
"key": "action-1",
"intent": "Summarize latest sales report",
"outputSchema": {},
"inputSchema": {},
"useDefaultMapping": true,
"updatedAt": "2026-04-09T10:15:30.000Z",
"createdAt": "2026-04-01T08:00:00.000Z"
}
]Runs an action for the specified action key, customer integration ID and user ID
The key of the action to run
action-1The ID of the user who is running the action
user-123Input parameters for the action. Required if action has input schema defined.
{"name":"John Doe"}Pass through data for the action run, e.g. credentials for the integrations used in the run
[{"customerIntegrationId":"integration-1","headers":{"Authorization":"Bearer 1234567890"}}]Action run successfully. Returns runId and output in the shape of action's output schema
The ID of the run that was created
The output of the action
Unauthorized - invalid API key
POST /v1/actions/run HTTP/1.1
Host: api.toolregistry.ai
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 172
{
"key": "action-1",
"userId": "user-123",
"input": {
"name": "John Doe"
},
"passThrough": [
{
"customerIntegrationId": "integration-1",
"headers": {
"Authorization": "Bearer 1234567890"
}
}
]
}{
"runId": "123e4567-e89b-12d3-a456-426614174000",
"output": {}
}Last updated